var actions = true;
var risks = false;

function activate_mitigations(c){
   actions = true
   risks = false
   reset()
}

function activate_risks(c){
   actions = false
   risks = true
   reset()
}

function toggle(idn){
   reset();
   document.getElementById(idn).classList.add(CLASS_OPEN);
}

function reset(){
    var elements = document.querySelectorAll("main .item, .risks, .mitigations")
    for (e in elements)
        if(elements[e].classList !== undefined)
            elements[e].classList.remove(CLASS_OPEN);

    if(actions == false){
        document.getElementById(ID_MITIGATIONS).classList.add(CLASS_HIDDEN);
        document.getElementById(ID_RISKS).classList.remove(CLASS_HIDDEN);
        document.getElementById(ID_TAB_RISKS).classList.add(CLASS_OPEN);
        document.getElementById(ID_TAB_MITIGATIONS).classList.remove(CLASS_OPEN);
    }
    else {
        document.getElementById(ID_MITIGATIONS).classList.remove(CLASS_HIDDEN);
        document.getElementById(ID_RISKS).classList.add(CLASS_HIDDEN);
        document.getElementById(ID_TAB_RISKS).classList.remove(CLASS_OPEN);
    document.getElementById(ID_TAB_MITIGATIONS).classList.add(CLASS_OPEN);
    }
}

function more(id){
    document.getElementById(id).classList.toggle(CLASS_OPEN);
}

function toggle_tag(name, btn){
    if (Tag_objects[name] == true){
        Tag_objects[name] = false
        btn.classList.remove(CLASS_TOGGLED);
    }
    else{
        Tag_objects[name] = true
        btn.classList.add(CLASS_TOGGLED);
    }

    var all_off = true
    for (t in Tag_objects){
        if (Tag_objects[t]==true){
            all_off = false;
            break;
        }
    }

    var elements = document.getElementsByClassName(CLASS_ITEM)
    for (e in elements)
        if(elements[e].classList !== undefined)
            elements[e].classList.remove(CLASS_TOGGLED);

    for (t in Tag_objects)
        if((Tag_objects[t] == true) || all_off){
            for (d in Data[0][JSON_risks])
                if (Data[0][JSON_risks][d][JSON_risk][JSON_TAGS].includes(t)){
                    document.getElementById(JSON_risk+UNDERSCORE+d).classList.add(CLASS_TOGGLED);
                }
            for (d in Data[1][JSON_mitigations])
                if (Data[1][JSON_mitigations][d][JSON_mitigation][JSON_TAGS].includes(t)){
                    document.getElementById(JSON_mitigation+UNDERSCORE+d).classList.add(CLASS_TOGGLED);
                }
        }
}
